List project suppressions
curl --request GET \
--url https://api.sendrealm.com/suppressions \
--header 'Authorization: Bearer <token>' \
--header 'X-Sendrealm-Project-Id: <x-sendrealm-project-id>'const options = {
method: 'GET',
headers: {
'X-Sendrealm-Project-Id': '<x-sendrealm-project-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.sendrealm.com/suppressions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/suppressions"
headers = {
"X-Sendrealm-Project-Id": "<x-sendrealm-project-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_address": "jsmith@example.com",
"created_at": "2023-11-07T05:31:56Z",
"latest_action": "<string>",
"reason": "<string>"
}
],
"metadata": {
"has_more": true,
"next": "<string>",
"limit": 50
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}Agent data operations API
List project suppressions
GET
/
suppressions
List project suppressions
curl --request GET \
--url https://api.sendrealm.com/suppressions \
--header 'Authorization: Bearer <token>' \
--header 'X-Sendrealm-Project-Id: <x-sendrealm-project-id>'const options = {
method: 'GET',
headers: {
'X-Sendrealm-Project-Id': '<x-sendrealm-project-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.sendrealm.com/suppressions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/suppressions"
headers = {
"X-Sendrealm-Project-Id": "<x-sendrealm-project-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_address": "jsmith@example.com",
"created_at": "2023-11-07T05:31:56Z",
"latest_action": "<string>",
"reason": "<string>"
}
],
"metadata": {
"has_more": true,
"next": "<string>",
"limit": 50
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}Requires the opt-in imports/data rollout and an explicitly authorized project. See agent data workflows for review, idempotency, export pagination, and suppression safeguards.
Authorizations
Integration key for backend workloads, or a scoped personal key (sr_user_) for account discovery and supported project operations. MCP accepts only personal keys.